Status: Resolved Priority: Should have
Author: Carsten Bleicker Category: Validation
Created: 2012-05-22 Assigned To: Karsten Dambekalns
Updated: 2012-06-20 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0 beta 1
Subject: Annotation of Validate and IgnoreValidation
Description

I would expect that notation of Validate and IgnoreValidation is the same.
@FLOW3\Validate(argumentName="test"...) matches but @FLOW3\IgnoreValidation(argumentName="test") doesnt. i have to write
@FLOW3\IgnoreValidation("$test") or @FLOW3\IgnoreValidation(argumentName="$test").

The FLOW3\Validate does an ltrim of "$" wich the IgnoreValidation Annotation doesn't.

Associated revisions
Revision 4ae13b54 - 2012-05-30 20:45 - Karsten Dambekalns

[BUGFIX] Fix inconsistent Validate and IgnoreValidation behavior

The Validate annotation does an ltrim of "$" on the argument which the
IgnoreValidation annotation did not do. This change makes the two behave
the same by adding that trim to IgnoreValidation as well.

Change-Id: I058c07e7c446f9adbd46d8236b9fc4689abb74b8
Fixes: #37385
Releases: 1.1, 1.2

Revision 24485a77 - 2012-05-30 20:48 - Karsten Dambekalns

[BUGFIX] Fix inconsistent Validate and IgnoreValidation behavior

The Validate annotation does an ltrim of "$" on the argument which the
IgnoreValidation annotation did not do. This change makes the two behave
the same by adding that trim to IgnoreValidation as well.

Change-Id: I058c07e7c446f9adbd46d8236b9fc4689abb74b8
Fixes: #37385
Releases: 1.1, 1.2

History
#1 - 2012-05-24 09:46 - Karsten Dambekalns
- Category changed from AOP to Validation
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.1

#2 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#3 - 2012-05-25 12:53 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11604

#4 - 2012-05-29 11:21 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11604

#5 - 2012-05-30 10:57 - Gerrit Code Review

Patch set 3 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11604

#6 - 2012-05-30 12:46 - Gerrit Code Review

Patch set 4 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11604

#7 - 2012-05-30 14:26 - Gerrit Code Review

Patch set 5 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11604

#8 - 2012-05-30 20:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11751

#9 - 2012-05-30 20:45 - Gerrit Code Review

Patch set 6 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11604

#10 - 2012-05-30 20:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11751
#11 - 2012-05-30 21:41 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:24485a773ddc75867133d58d5980bda07885b0ab.

#12 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
